package com.lz.modules.flow.model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* <p>
* </p>*业绩详情评分表
* @author quyixiao
* @since 2020-10-15
*/

@Data
@ApiModel(value = "业绩详情评分Dto")
public class ResultScoreDto {
    //
    @ApiModelProperty(value = "", name = "id")
    private Long id;
    //得分
    @ApiModelProperty(value = "得分", name = "acquireScore")
    private BigDecimal acquireScore;
    //
    @ApiModelProperty(value = "", name = "detailId")
    private Long detailId;
    //审批人id
    @ApiModelProperty(value = "审批人id", name = "approvalId")
    private Long approvalId;

    //审批人id
    @ApiModelProperty(value = "审批人姓名", name = "approvalName")
    private String approvalName;

    //审批人id
    @ApiModelProperty(value = "所占权重", name = "weight")
    private BigDecimal weight;

    //评分说明
    @ApiModelProperty(value = "单个计算公式", name = "calculate")
    private String calculate;

    @ApiModelProperty(value = "个人总分计算公式，不剩于多人评分中个人所占的比重", name = "allCalculate")
    private String allCalculate;

    //评分说明
    @ApiModelProperty(value = "评分说明", name = "scoreComment")
    private String scoreComment;

    //根据权重计算除的实际得分
    @ApiModelProperty(value = "根据权重计算除的实际得分", name = "score")
    private BigDecimal score;

    @ApiModelProperty(value = "0未评分，1已评分", name = "isEdit")
    private Integer isEdit;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }



    /**
     * 得分 
     * @return
     */
    public BigDecimal getAcquireScore() {
        return acquireScore;
    }
    /**
     * 得分 
     * @param acquireScore
     */
    public void setAcquireScore(BigDecimal acquireScore) {
        this.acquireScore = acquireScore;
    }

    /**
     *  
     * @return
     */
    public Long getDetailId() {
        return detailId;
    }
    /**
     *  
     * @param detailId
     */
    public void setDetailId(Long detailId) {
        this.detailId = detailId;
    }

    /**
     * 审批人id 
     * @return
     */
    public Long getApprovalId() {
        return approvalId;
    }
    /**
     * 审批人id 
     * @param approvalId
     */
    public void setApprovalId(Long approvalId) {
        this.approvalId = approvalId;
    }

    @Override
    public String toString() {
        return "ResultScore{" +
                ",id=" + id +
                ",acquireScore=" + acquireScore +
                ",detailId=" + detailId +
                ",approvalId=" + approvalId +
                "}";
    }
}